# 环境配置
server:
  port: 9021
  servlet:
    context-path: /api/aipocloud
  ssl:
    key-store: classpath:ssl/cp.100ali.com.jks
    key-store-password: n91xkery
    keyStoreType: JKS      # 证书类型为jks, 非Tomcat下pfx [密码\路径不对程序启动异常]
    http: 9022             # 同时启用http服务端口, 原默认端口只能https访问, 此处http端口仅支持http访问

# condition
spel:
  scheduling: true         # 定时任务是否执行
  multiSource: false       # 是否多数据源配置

spring:
  # database
  datasource:
    hikari:
      connection-init-sql: SET NAMES utf8mb4 COLLATE utf8mb4_unicode_ci           # SqlServer, Oracle 无需设置类型
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: cp-root@2022++
    url: jdbc:mysql://47.97.181.40:3306/mjava?serverTimezone=Asia/Shanghai&useUnicode=yes&characterEncoding=UTF-8&useSSL=true
  jpa:
    database: MYSQL
    database-platform: org.hibernate.dialect.MySQL57Dialect
    hibernate:
      ddl-auto: none

# dingtalk
dingtalk:
  agentId: 2791266100
  appKey: ding0dmmeh4ufremtbkp
  appSecret: RHE6gWY-0PBUSFKNF6j__v1II9WD5h0u2TZDK3QwKKczivXid2br_SMWK-EKSDLT
  corpId: dingbc79c496d04b812f35c2f4657eb6378f
  aesKey: vBtjZT6yIJXPywnOqmMHYUyPBpglTostOMpdQIMrSHk
  token: ngnPYIwW5RfZwxnb1OjQJMb6U62NYKbvxGtcVaYe1hRaaKM1j8qG
  operator: "0220663466860353"   # OA管理员账号
